Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs
Class FieldInfosFormat

    java.lang.Object
      org.apache.lucene.codecs.FieldInfosFormat

Direct Known Subclasses:
  Lucene40FieldInfosFormat, Lucene42FieldInfosFormat

    public abstract class FieldInfosFormat

extends Object

Encodes/decodes `FieldInfos`

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`protected` | `FieldInfosFormat()` Sole constructor.

Method Summary
`abstract FieldInfosReader` | `getFieldInfosReader()` Returns a `FieldInfosReader` to read field infos from the index
`abstract FieldInfosWriter` | `getFieldInfosWriter()` Returns a `FieldInfosWriter` to write field infos to the index

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldInfosFormat

    protected FieldInfosFormat()

  Sole constructor. (For invocation by subclass constructors, typically implicit.)

Method Detail

### getFieldInfosReader

    public abstract FieldInfosReader getFieldInfosReader()
                                                  throws IOException

  Returns a `FieldInfosReader` to read field infos from the index

  Throws:
    `IOException`

### getFieldInfosWriter

    public abstract FieldInfosWriter getFieldInfosWriter()
                                                  throws IOException

  Returns a `FieldInfosWriter` to write field infos to the index

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.